<?php

namespace Modules\Category\Interfaces;

use Modules\Category\Models\Category;

interface CategoryRepositoryInterface
{
    public function get(array $request);
    public function getItem(int $id);
    public function checkItem(int $id);
    public function create(array $request): Category;
    public function update(array $request, Category $category): Category;
    public function destroy(Category $category): void;
    public function destroyAll(array $ids): void;
    public function restore(Category $category): void;
    public function restoreAll(array $ids): void;
}
